Skip to main content
POST
Adjust card points

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Unique program identifier

memberId
string
required

Unique member identifier

cardId
string
required

Unique card identifier

Body

application/json
points
integer
required

Points to adjust. Positive values add points (ADMIN_CREDIT), negative values subtract points (ADMIN_DEBIT). Zero results in no change.

Required range: -2147483648 <= x <= 2147483647
reason
string

Optional reason for the adjustment

Maximum string length: 255

Response

Points adjustment result

Result of a manual points adjustment operation

status
enum<string>

TRANSACTION_CREATED when points were adjusted. NO_CHANGE when amount was zero.

Available options:
TRANSACTION_CREATED,
NO_CHANGE
message
string

Human-readable result message

Examples:

"Points addition transaction created"

"Points subtraction transaction created"

"Provided amount is zero, transaction was not created"

transaction
object | null

The created transaction (null when status is NO_CHANGE)

Last modified on May 19, 2026